# PCCholeskySetReuseFill

When matrices with same nonzero structure are Cholesky factored, this causes later ones to use the fill computed in the initial factorization.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCCholeskySetReuseFill(PC pc,PetscTruth flag)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| flag | - PETSC_TRUE to reuse else PETSC_FALSE

### Options Database Key

-pc_cholesky_reuse_fill -Activates PCCholeskySetReuseFill()

### Keywords

PC, levels, reordering, factorization, incomplete, Cholesky

### See Also

PCICholeskySetReuseOrdering(), PCCholeskySetReuseOrdering(), PCICholeskyDTSetReuseFill()

Level:intermediate
Location:src/ksp/pc/impls/cholesky/cholesky.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages